package com.ruoyi.flowable.oa;

import org.flowable.common.engine.impl.identity.Authentication;
import org.flowable.engine.delegate.DelegateExecution;
import org.flowable.engine.delegate.ExecutionListener;
import org.springframework.stereotype.Component;

@Component("CallSafeActivityExecutionListener")
public class CallSafeActivityExecutionListener implements ExecutionListener {
    @Override
    public void notify(DelegateExecution delegateExecution) {
        Authentication.setAuthenticatedUserId("15");
        delegateExecution.setVariable("approval", "15");
    }
}
